#! /bin/sh -e
## mpd wrapper - makes sure the proper directores are setup

CONF_FILE=/etc/mpd.conf
DB_FILE=`cat $CONF_FILE |grep "^db_file" | sed -e 's/^db_file//;s/^[ \t]*//;s/\"//g'| sed -e "s|~|$HOME|"`

if [ ! -d ~/.mpd ]; then 
	echo "Create ~/.mpd"
 	mkdir -p ~/.mpd;
 	mkdir -p ~/.mpd/playlists;
fi

if [ ! -f $DB_FILE ]; then
	echo "No database found, create $DB_FILE"
	/usr/bin/mpd.real --create-db $@
else
	/usr/bin/mpd.real $@
fi
